import 'package:mmoo_base/generated/json/base/json_convert_content.dart';

class AnchorEntity with JsonConvert<AnchorEntity> {
  List<AnchorGift>? gift;
  String? country;
  String? cost;
  String? signature;
  List<AnchorLabelNum>? labelNum;
  String? headImage;
  List<String>? language;
  List<AnchorPic>? pic;
  String? down;
  String? answerRate;
  String? nickname;
  String? online;
  String? isCare;
  String? shareUrl;
  String? id;
  String? up;
  String? age;
  String? birthday;
  String? followNum;
  String? gender;
  List<String>? anchorLabel;
  String? videoId;
  String? videoPic;
  bool? localData;
  int? sort;
  int? ab; //0审核1非审核
  int? userVideoId;
  int? toy;
  int? toyCost;

  String getLanguageStr() {
    if (language != null && language!.isNotEmpty) {
      String str = language.toString();
      if (str.contains('[') || str.contains(']'))
        str = str.replaceAll('[', '').replaceAll(']', '');
      return str;
    } else {
      return '';
    }
  }

  String getAgeYear() {
    try {
      return ', ${DateTime.now().year - DateTime.parse(age ?? birthday!).year}';
    } catch (e) {
      return '';
    }
  }

  List<AnchorLabelNum> getGoodLabelNum() {
    List<AnchorLabelNum> list = [];
    if (labelNum != null) {
      for (AnchorLabelNum item in labelNum!) {
        if (item.type == '0') {
          list.add(item);
        }
      }
    }
    return list;
  }

  AnchorEntity();

  AnchorEntity.call(this.nickname, this.headImage,
      {this.online, this.cost, this.age, this.toy, this.toyCost});
}

class AnchorGift with JsonConvert<AnchorGift> {
  String? num;
  String? name;
  String? id;
  String? pic;
  String? grayPic;
}

class AnchorLabelNum with JsonConvert<AnchorLabelNum> {
  String? num;
  String? type;
  String? value;
}

class AnchorLabel with JsonConvert<AnchorLabel> {
  String? headImage;
  String? name;
  String? type;
  List<String>? value;
}

class AnchorPic with JsonConvert<AnchorPic> {
  String? cover;
  String? picId;
  String? url;

  AnchorPic({this.cover, this.picId, this.url});
}
