import 'package:mmoo_base/entity/anchor_entity.dart';

anchorEntityFromJson(AnchorEntity data, Map<String, dynamic> json) {
	if (json['gift'] != null) {
		data.gift = (json['gift'] as List).map((v) => AnchorGift().fromJson(v)).toList();
	}
	if (json['country'] != null) {
		data.country = json['country'].toString();
	}
	if (json['cost'] != null) {
		data.cost = json['cost'].toString();
	}
	if (json['signature'] != null) {
		data.signature = json['signature'].toString();
	}
	if (json['labelNum'] != null) {
		data.labelNum = (json['labelNum'] as List).map((v) => AnchorLabelNum().fromJson(v)).toList();
	}
	if (json['headImage'] != null) {
		data.headImage = json['headImage'].toString();
	}
	if (json['language'] != null) {
		data.language = (json['language'] as List).map((v) => v.toString()).toList().cast<String>();
	}
	if (json['pic'] != null) {
		data.pic = (json['pic'] as List).map((v) => AnchorPic().fromJson(v)).toList();
	}
	if (json['down'] != null) {
		data.down = json['down'].toString();
	}
	if (json['answerRate'] != null) {
		data.answerRate = json['answerRate'].toString();
	}
	if (json['nickname'] != null) {
		data.nickname = json['nickname'].toString();
	}
	if (json['online'] != null) {
		data.online = json['online'].toString();
	}
	if (json['isCare'] != null) {
		data.isCare = json['isCare'].toString();
	}
	if (json['shareUrl'] != null) {
		data.shareUrl = json['shareUrl'].toString();
	}
	if (json['id'] != null) {
		data.id = json['id'].toString();
	}
	if (json['up'] != null) {
		data.up = json['up'].toString();
	}
	if (json['age'] != null) {
		data.age = json['age'].toString();
	}
	if (json['birthday'] != null) {
		data.birthday = json['birthday'].toString();
	}
	if (json['followNum'] != null) {
		data.followNum = json['followNum'].toString();
	}
	if (json['gender'] != null) {
		data.gender = json['gender'].toString();
	}
	if (json['anchorLabel'] != null) {
		data.anchorLabel = (json['anchorLabel'] as List).map((v) => v.toString()).toList().cast<String>();
	}
	if (json['videoId'] != null) {
		data.videoId = json['videoId'].toString();
	}
	if (json['videoPic'] != null) {
		data.videoPic = json['videoPic'].toString();
	}
	if (json['localData'] != null) {
		data.localData = json['localData'];
	}
	if (json['sort'] != null) {
		data.sort = json['sort'] is String
				? int.tryParse(json['sort'])
				: json['sort'].toInt();
	}
	if (json['ab'] != null) {
		data.ab = json['ab'] is String
				? int.tryParse(json['ab'])
				: json['ab'].toInt();
	}
	if (json['userVideoId'] != null) {
		data.userVideoId = json['userVideoId'] is String
				? int.tryParse(json['userVideoId'])
				: json['userVideoId'].toInt();
	}
	if (json['toy'] != null) {
		data.toy = json['toy'] is String
				? int.tryParse(json['toy'])
				: json['toy'].toInt();
	}
	if (json['toyCost'] != null) {
		data.toyCost = json['toyCost'] is String
				? int.tryParse(json['toyCost'])
				: json['toyCost'].toInt();
	}
	return data;
}

Map<String, dynamic> anchorEntityToJson(AnchorEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['gift'] =  entity.gift?.map((v) => v.toJson())?.toList();
	data['country'] = entity.country;
	data['cost'] = entity.cost;
	data['signature'] = entity.signature;
	data['labelNum'] =  entity.labelNum?.map((v) => v.toJson())?.toList();
	data['headImage'] = entity.headImage;
	data['language'] = entity.language;
	data['pic'] =  entity.pic?.map((v) => v.toJson())?.toList();
	data['down'] = entity.down;
	data['answerRate'] = entity.answerRate;
	data['nickname'] = entity.nickname;
	data['online'] = entity.online;
	data['isCare'] = entity.isCare;
	data['shareUrl'] = entity.shareUrl;
	data['id'] = entity.id;
	data['up'] = entity.up;
	data['age'] = entity.age;
	data['birthday'] = entity.birthday;
	data['followNum'] = entity.followNum;
	data['gender'] = entity.gender;
	data['anchorLabel'] = entity.anchorLabel;
	data['videoId'] = entity.videoId;
	data['videoPic'] = entity.videoPic;
	data['localData'] = entity.localData;
	data['sort'] = entity.sort;
	data['ab'] = entity.ab;
	data['userVideoId'] = entity.userVideoId;
	data['toy'] = entity.toy;
	data['toyCost'] = entity.toyCost;
	return data;
}

anchorGiftFromJson(AnchorGift data, Map<String, dynamic> json) {
	if (json['num'] != null) {
		data.num = json['num'].toString();
	}
	if (json['name'] != null) {
		data.name = json['name'].toString();
	}
	if (json['id'] != null) {
		data.id = json['id'].toString();
	}
	if (json['pic'] != null) {
		data.pic = json['pic'].toString();
	}
	if (json['grayPic'] != null) {
		data.grayPic = json['grayPic'].toString();
	}
	return data;
}

Map<String, dynamic> anchorGiftToJson(AnchorGift entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['num'] = entity.num;
	data['name'] = entity.name;
	data['id'] = entity.id;
	data['pic'] = entity.pic;
	data['grayPic'] = entity.grayPic;
	return data;
}

anchorLabelNumFromJson(AnchorLabelNum data, Map<String, dynamic> json) {
	if (json['num'] != null) {
		data.num = json['num'].toString();
	}
	if (json['type'] != null) {
		data.type = json['type'].toString();
	}
	if (json['value'] != null) {
		data.value = json['value'].toString();
	}
	return data;
}

Map<String, dynamic> anchorLabelNumToJson(AnchorLabelNum entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['num'] = entity.num;
	data['type'] = entity.type;
	data['value'] = entity.value;
	return data;
}

anchorLabelFromJson(AnchorLabel data, Map<String, dynamic> json) {
	if (json['headImage'] != null) {
		data.headImage = json['headImage'].toString();
	}
	if (json['name'] != null) {
		data.name = json['name'].toString();
	}
	if (json['type'] != null) {
		data.type = json['type'].toString();
	}
	if (json['value'] != null) {
		data.value = (json['value'] as List).map((v) => v.toString()).toList().cast<String>();
	}
	return data;
}

Map<String, dynamic> anchorLabelToJson(AnchorLabel entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['headImage'] = entity.headImage;
	data['name'] = entity.name;
	data['type'] = entity.type;
	data['value'] = entity.value;
	return data;
}

anchorPicFromJson(AnchorPic data, Map<String, dynamic> json) {
	if (json['cover'] != null) {
		data.cover = json['cover'].toString();
	}
	if (json['picId'] != null) {
		data.picId = json['picId'].toString();
	}
	if (json['url'] != null) {
		data.url = json['url'].toString();
	}
	return data;
}

Map<String, dynamic> anchorPicToJson(AnchorPic entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['cover'] = entity.cover;
	data['picId'] = entity.picId;
	data['url'] = entity.url;
	return data;
}