import 'package:mmoo_base/entity/plus_entity.dart';

plusEntityFromJson(PlusEntity data, Map<String, dynamic> json) {
	if (json['lists'] != null) {
		data.lists = (json['lists'] as List).map((v) => PlusList().fromJson(v)).toList();
	}
	return data;
}

Map<String, dynamic> plusEntityToJson(PlusEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['lists'] =  entity.lists?.map((v) => v?.toJson())?.toList();
	return data;
}

plusListFromJson(PlusList data, Map<String, dynamic> json) {
	if (json['id'] != null) {
		data.id = json['id'] is String
				? int.tryParse(json['id'])
				: json['id'].toInt();
	}
	if (json['addCoin'] != null) {
		data.addCoin = json['addCoin'] is String
				? int.tryParse(json['addCoin'])
				: json['addCoin'].toInt();
	}
	if (json['sort'] != null) {
		data.sort = json['sort'] is String
				? int.tryParse(json['sort'])
				: json['sort'].toInt();
	}
	if (json['period'] != null) {
		data.period = json['period'] is String
				? int.tryParse(json['period'])
				: json['period'].toInt();
	}
	if (json['level'] != null) {
		data.level = json['level'] is String
				? int.tryParse(json['level'])
				: json['level'].toInt();
	}
	if (json['name'] != null) {
		data.name = json['name'].toString();
	}
	if (json['code'] != null) {
		data.code = json['code'].toString();
	}
	if (json['price'] != null) {
		data.price = json['price'] is String
				? double.tryParse(json['price'])
				: json['price'].toDouble();
	}
	return data;
}

Map<String, dynamic> plusListToJson(PlusList entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['id'] = entity.id;
	data['addCoin'] = entity.addCoin;
	data['sort'] = entity.sort;
	data['period'] = entity.period;
	data['level'] = entity.level;
	data['name'] = entity.name;
	data['code'] = entity.code;
	data['price'] = entity.price;
	return data;
}

plusBannerFromJson(PlusBanner data, Map<String, dynamic> json) {
	if (json['image'] != null) {
		data.image = json['image'].toString();
	}
	if (json['title'] != null) {
		data.title = json['title'].toString();
	}
	if (json['content'] != null) {
		data.content = json['content'].toString();
	}
	if (json['color'] != null) {
		data.color = json['color'] is String
				? int.tryParse(json['color'])
				: json['color'].toInt();
	}
	if (json['colorRight'] != null) {
		data.colorRight = json['colorRight'] is String
				? int.tryParse(json['colorRight'])
				: json['colorRight'].toInt();
	}
	return data;
}

Map<String, dynamic> plusBannerToJson(PlusBanner entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['image'] = entity.image;
	data['title'] = entity.title;
	data['content'] = entity.content;
	data['color'] = entity.color;
	data['colorRight'] = entity.colorRight;
	return data;
}

plusBeanFromJson(PlusBean data, Map<String, dynamic> json) {
	if (json['createTime'] != null) {
		data.createTime = json['createTime'].toString();
	}
	if (json['expirationTime'] != null) {
		data.expirationTime = json['expirationTime'].toString();
	}
	if (json['level'] != null) {
		data.level = json['level'].toString();
	}
	if (json['name'] != null) {
		data.name = json['name'].toString();
	}
	if (json['addCoin'] != null) {
		data.addCoin = json['addCoin'].toString();
	}
	if (json['period'] != null) {
		data.period = json['period'] is String
				? int.tryParse(json['period'])
				: json['period'].toInt();
	}
	return data;
}

Map<String, dynamic> plusBeanToJson(PlusBean entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['createTime'] = entity.createTime;
	data['expirationTime'] = entity.expirationTime;
	data['level'] = entity.level;
	data['name'] = entity.name;
	data['addCoin'] = entity.addCoin;
	data['period'] = entity.period;
	return data;
}