import 'package:mmoo_base/entity/pop_entity.dart';

popupEntityFromJson(PopupEntity data, Map<String, dynamic> json) {
	if (json['bannerList'] != null) {
		data.bannerList = (json['bannerList'] as List).map((v) => PopBannerList().fromJson(v)).toList();
	}
	if (json['popupResp'] != null) {
		data.popupResp = (json['popupResp'] as List).map((v) => PopPopupResp().fromJson(v)).toList();
	}
	return data;
}

Map<String, dynamic> popupEntityToJson(PopupEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['bannerList'] =  entity.bannerList?.map((v) => v?.toJson())?.toList();
	data['popupResp'] =  entity.popupResp?.map((v) => v?.toJson())?.toList();
	return data;
}

popBannerListFromJson(PopBannerList data, Map<String, dynamic> json) {
	if (json['imageUrl'] != null) {
		data.imageUrl = json['imageUrl'].toString();
	}
	if (json['targetUrl'] != null) {
		data.targetUrl = json['targetUrl'].toString();
	}
	if (json['title'] != null) {
		data.title = json['title'].toString();
	}
	if (json['type'] != null) {
		data.type = json['type'] is String
				? int.tryParse(json['type'])
				: json['type'].toInt();
	}
	if (json['value'] != null) {
		data.value = json['value'].toString();
	}
	return data;
}

Map<String, dynamic> popBannerListToJson(PopBannerList entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['imageUrl'] = entity.imageUrl;
	data['targetUrl'] = entity.targetUrl;
	data['title'] = entity.title;
	data['type'] = entity.type;
	data['value'] = entity.value;
	return data;
}

popPopupRespFromJson(PopPopupResp data, Map<String, dynamic> json) {
	if (json['content'] != null) {
		data.content = json['content'].toString();
	}
	if (json['addWords'] != null) {
		data.addWords = json['addWords'].toString();
	}
	if (json['imgUrl'] != null) {
		data.imgUrl = json['imgUrl'].toString();
	}
	if (json['isPopup'] != null) {
		data.isPopup = json['isPopup'].toString();
	}
	if (json['money'] != null) {
		data.money = json['money'].toString();
	}
	if (json['symbol'] != null) {
		data.symbol = json['symbol'].toString();
	}
	if (json['parameter'] != null) {
		data.parameter = json['parameter'].toString();
	}
	if (json['payId'] != null) {
		data.payId = json['payId'].toString();
	}
	if (json['payType'] != null) {
		data.payType = json['payType'].toString();
	}
	if (json['rechargeId'] != null) {
		data.rechargeId = json['rechargeId'].toString();
	}
	if (json['time'] != null) {
		data.time = json['time'].toString();
	}
	if (json['title'] != null) {
		data.title = json['title'].toString();
	}
	if (json['type'] != null) {
		data.type = json['type'].toString();
	}
	if (json['unit'] != null) {
		data.unit = json['unit'].toString();
	}
	if (json['url'] != null) {
		data.url = json['url'].toString();
	}
	if (json['value'] != null) {
		data.value = json['value'].toString();
	}
	return data;
}

Map<String, dynamic> popPopupRespToJson(PopPopupResp entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['content'] = entity.content;
	data['addWords'] = entity.addWords;
	data['imgUrl'] = entity.imgUrl;
	data['isPopup'] = entity.isPopup;
	data['money'] = entity.money;
	data['symbol'] = entity.symbol;
	data['parameter'] = entity.parameter;
	data['payId'] = entity.payId;
	data['payType'] = entity.payType;
	data['rechargeId'] = entity.rechargeId;
	data['time'] = entity.time;
	data['title'] = entity.title;
	data['type'] = entity.type;
	data['unit'] = entity.unit;
	data['url'] = entity.url;
	data['value'] = entity.value;
	return data;
}