import 'package:mmoo_base/entity/room_entity.dart';

roomEntityFromJson(RoomEntity data, Map<String, dynamic> json) {
	if (json['list'] != null) {
		data.list = (json['list'] as List).map((v) => RoomList().fromJson(v)).toList();
	}
	return data;
}

Map<String, dynamic> roomEntityToJson(RoomEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['list'] =  entity.list?.map((v) => v.toJson())?.toList();
	return data;
}

roomListFromJson(RoomList data, Map<String, dynamic> json) {
	if (json['cover'] != null) {
		data.cover = json['cover'].toString();
	}
	if (json['liveNotice'] != null) {
		data.liveNotice = json['liveNotice'].toString();
	}
	if (json['id'] != null) {
		data.id = json['id'] is String
				? int.tryParse(json['id'])
				: json['id'].toInt();
	}
	if (json['label'] != null) {
		data.label = json['label'].toString();
	}
	if (json['language'] != null) {
		data.language = json['language'].toString();
	}
	if (json['rid'] != null) {
		data.rid = json['rid'].toString();
	}
	if (json['roomName'] != null) {
		data.roomName = json['roomName'].toString();
	}
	if (json['size'] != null) {
		data.size = json['size'].toString();
	}
	if (json['playName'] != null) {
		data.playName = json['playName'].toString();
	}
	if (json['nickname'] != null) {
		data.nickname = json['nickname'].toString();
	}
	if (json['headImage'] != null) {
		data.headImage = json['headImage'].toString();
	}
	if (json['birthday'] != null) {
		data.birthday = json['birthday'].toString();
	}
	if (json['gender'] != null) {
		data.gender = json['gender'].toString();
	}
	if (json['follow'] != null) {
		data.follow = json['follow'].toString();
	}
	return data;
}

Map<String, dynamic> roomListToJson(RoomList entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['cover'] = entity.cover;
	data['liveNotice'] = entity.liveNotice;
	data['id'] = entity.id;
	data['label'] = entity.label;
	data['language'] = entity.language;
	data['rid'] = entity.rid;
	data['roomName'] = entity.roomName;
	data['size'] = entity.size;
	data['playName'] = entity.playName;
	data['nickname'] = entity.nickname;
	data['headImage'] = entity.headImage;
	data['birthday'] = entity.birthday;
	data['gender'] = entity.gender;
	data['follow'] = entity.follow;
	return data;
}