import 'package:mmoo_base/entity/toplist_entity.dart';

topListEntityFromJson(TopListEntity data, Map<String, dynamic> json) {
	if (json['lists'] != null) {
		data.lists = (json['lists'] as List).map((v) => TopList().fromJson(v)).toList();
	}
	return data;
}

Map<String, dynamic> topListEntityToJson(TopListEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['lists'] =  entity.lists?.map((v) => v?.toJson())?.toList();
	return data;
}

topListFromJson(TopList data, Map<String, dynamic> json) {
	if (json['name'] != null) {
		data.name = json['name'].toString();
	}
	if (json['dec'] != null) {
		data.dec = json['dec'].toString();
	}
	if (json['headImage'] != null) {
		data.headImage = json['headImage'].toString();
	}
	if (json['money'] != null) {
		data.money = json['money'].toString();
	}
	if (json['userId'] != null) {
		data.userId = json['userId'].toString();
	}
	if (json['isAnchor'] != null) {
		data.isAnchor = json['isAnchor'].toString();
	}
	if (json['online'] != null) {
		data.online = json['online'].toString();
	}
	if (json['order'] != null) {
		data.order = json['order'] is String
				? int.tryParse(json['order'])
				: json['order'].toInt();
	}
	if (json['cared'] != null) {
		data.cared = json['cared'].toString();
	}
	if (json['userVipLevel'] != null) {
		data.userVipLevel = json['userVipLevel'].toString();
	}
	if (json['lastFreeVideoId'] != null) {
		data.lastFreeVideoId = json['lastFreeVideoId'].toString();
	}
	if (json['birthday'] != null) {
		data.birthday = json['birthday'].toString();
	}
	return data;
}

Map<String, dynamic> topListToJson(TopList entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['name'] = entity.name;
	data['dec'] = entity.dec;
	data['headImage'] = entity.headImage;
	data['money'] = entity.money;
	data['userId'] = entity.userId;
	data['isAnchor'] = entity.isAnchor;
	data['online'] = entity.online;
	data['order'] = entity.order;
	data['cared'] = entity.cared;
	data['userVipLevel'] = entity.userVipLevel;
	data['lastFreeVideoId'] = entity.lastFreeVideoId;
	data['birthday'] = entity.birthday;
	return data;
}