import 'package:mmoo_base/entity/video_entity.dart';

videoEntityFromJson(VideoEntity data, Map<String, dynamic> json) {
	if (json['playInfoList'] != null) {
		data.playInfoList = (json['playInfoList'] as List).map((v) => VideoBean().fromJson(v)).toList();
	}
	return data;
}

Map<String, dynamic> videoEntityToJson(VideoEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['playInfoList'] =  entity.playInfoList?.map((v) => v.toJson())?.toList();
	return data;
}

videoBeanFromJson(VideoBean data, Map<String, dynamic> json) {
	if (json['playURL'] != null) {
		data.playURL = json['playURL'].toString();
	}
	if (json['format'] != null) {
		data.format = json['format'].toString();
	}
	if (json['width'] != null) {
		data.width = json['width'] is String
				? int.tryParse(json['width'])
				: json['width'].toInt();
	}
	if (json['height'] != null) {
		data.height = json['height'] is String
				? int.tryParse(json['height'])
				: json['height'].toInt();
	}
	return data;
}

Map<String, dynamic> videoBeanToJson(VideoBean entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['playURL'] = entity.playURL;
	data['format'] = entity.format;
	data['width'] = entity.width;
	data['height'] = entity.height;
	return data;
}